import sform

from staff.gap.workflows.base_forms import (
    BaseGapForm,
    ToNotifyForm,
)


class DutyForm(BaseGapForm):
    comment = sform.CharField(state=sform.NORMAL, default='', max_length=512)
    to_notify = sform.GridField(sform.FieldsetField(ToNotifyForm))
    # service_id = sform.IntegerField(state=sform.REQUIRED)
    service_slug = sform.CharField(state=sform.NORMAL, default='', max_length=128)
    service_name = sform.CharField(state=sform.NORMAL, default='', max_length=128)
    shift_id = sform.IntegerField(state=sform.NORMAL, default=0)
    role_on_duty = sform.CharField(state=sform.NORMAL, default='', max_length=128)
